#generate desktop icon, ${1} is the name of the desktop icon, it must end with
#.$FILESYSTEM.desktop as on logout icons are destroyed which match this name ending,
#${2} is the mount point under $HOME/ where the icon points to, also this is the 
#icon name which appears on the desktop. ${3} is the type of icon
#Maybe we don't have to do this for OsX, finder does it automatically.
#icons should be copied to /usr/share/icons/hicolor/`size`/filesystems/ where size is 48x48, 22x22 or 16x16
#icon does not need .png extension
generate_icon()
{
#GenIcon 1 ${1} 2 ${2} 3 ${3}"
case "${3}" in 
cifs)
	ICON=win-folder_open;;
sshfs)
	ICON=tux-folder_open;;
nfs)
	ICON=nfs-folder_open;;
ncp)
	ICON=ncp-folder_open;;
esac

#TEST!
echo "\$DESKTOP_SESSION is >${DESKTOP_SESSION}<, and \$KDE_SESSION_VERSION is >${KDE_SESSION_VERSION}<."

if [ "${DESKTOP_SESSION}" = "kde" ] || [ "${KDE_SESSION_VERSION}" -eq 4 ]
then
${DEBUG} "Desktop is KDE"
cat <<EOF >${HOME}/Desktop/${1}-${3}.desktop
#!/usr/bin/env xdg-open
[Desktop Entry]
Encoding=UTF-8
Name=${1}:
Name[${LANG}]=${1}:
GenericName=${2}
GenericName[${LANG}]=${2}
Icon=${ICON}
Type=Link
URL=${HOME}/${1}/
EOF


elif [ "${DESKTOP_SESSION}" == "gnome" ] 
then
${DEBUG} "Desktop is GNOME"
cat <<EOF >${HOME}/Desktop/${1}.${3}.desktop
#!/usr/bin/env xdg-open
[Desktop Entry]
Encoding=UTF-8
Name=${1}:
Name[${LANG}]=${1}:
GenericName=${2}
GenericName[${LANG}]=${2}
Icon=${ICON}
Type=Link
URL=${HOME}/${1}/
EOF
	

else
${DEBUG} "Desktop Type is unknown, your Desktop Icon for ${3} may not work."
cat <<EOF >${HOME}/Desktop/${1}.${3}.desktop
#!/usr/bin/env xdg-open
[Desktop Entry]
Encoding=UTF-8
Name=${1}:
Name[${LANG}]=${1}:
GenericName=${2}
GenericName[${LANG}]=${2}
Icon=${ICON}
Type=Link
URL=${HOME}/${1}/
EOF
        

fi

#cat <<EOF >${HOME}/Desktop/${1}.${3}.desktop
##!/usr/bin/env xdg-open
#[Desktop Entry]
#Encoding=UTF-8
#Name=${1}:
#Name[${LANG}]=${1}:
#GenericName=${2}
#GenericName[${LANG}]=${2}
#Icon=${ICON}
#Type=Link
#URL=${HOME}/${1}/
#EOF

#End of Icon Create function
}
